#!/usr/local/bin/tclsh8.4
#
package require msgcat

set f_in [ open "ru.msg.koi8-r" "r" ] 
fconfigure  $f_in -encoding koi8-r
set d [ read $f_in ]
close $f_in

set f_out [ open "ru.msg" "w" ]
fconfigure  $f_out -encoding utf-8
puts $f_out $d
close $f_out
exit